apiVersion: extensions.istio.io/v1alpha1
kind: WasmPlugin
metadata:
  creationTimestamp: '2023-02-09T08:49:51Z'
  generation: 4
  managedFields:
    - apiVersion: extensions.istio.io/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:imagePullPolicy': {}
          'f:imagePullSecret': {}
          'f:phase': {}
          'f:pluginConfig':
            .: {}
            'f:api': {}
            'f:backend':
              .: {}
              'f:extensions': {}
              'f:name': {}
              'f:upstream':
                .: {}
                'f:name': {}
                'f:timeout': {}
                'f:url': {}
            'f:services': {}
            'f:system':
              .: {}
              'f:name': {}
              'f:token': {}
              'f:upstream':
                .: {}
                'f:name': {}
                'f:timeout': {}
                'f:url': {}
          'f:priority': {}
          'f:selector':
            .: {}
            'f:matchLabels':
              .: {}
              'f:app': {}
          'f:url': {}
      manager: Mozilla
      operation: Update
      time: '2023-02-09T11:54:23Z'
  name: threescale-wasm-plugin
  namespace: istio-system
  resourceVersion: '363880973'
  uid: 7962190f-02ea-4c3d-83c4-3fcb39cb6ec0
spec:
  imagePullPolicy: IfNotPresent
  imagePullSecret: pull-secret
  phase: STATS
  pluginConfig:
    api: v1
    backend:
      extensions:
        - no_body
      name: backend
      upstream:
        name: outbound|3000||backend-listener.3scale-project.svc.cluster.local
        timeout: 5000
        url: 'http://backend-listener.3scale-project.svc.cluster.local:3000'
    services:
      - authorities:
          - api-sms.apps.dev.dfipaas.com
        credentials:
          user_key:
            - query_string:
                keys:
                  - user_key
            - header:
                keys:
                  - user_key
        id: '4'
        mapping_rules:
          - method: POST
            pattern: '/{apiversion}/message/sms'
            usages:
              - delta: 1
                name: post_sms
          - method: POST
            pattern: '/{apiversion}/message/deliveryreport'
            usages:
              - delta: 1
                name: post_deliveryreport
        token: 141a1e5f306f4fd1548259b86fcc9cc821524b8b2ef14bdb4e9dcbc4a48d1479
    system:
      name: 3scale-admin
      token: 5cace8e7769f1f48b124c1443eb70c86ba685245a028940a08a66ab1fb7219a4
      upstream:
        name: outbound|3000||system-provider.3scale-project.svc.cluster.local
        timeout: 5000
        url: 'http://system-provider.3scale-project.svc.cluster.local:3000'
  priority: 100
  selector:
    matchLabels:
      app: istio-ingressgateway
  url: 'registry.redhat.io/3scale-amp2/3scale-auth-wasm-rhel8:0.0.3-2'
